function fig1_13

clf

nx=1000;
x=linspace(0,1,nx);

% get(gcf)
set(gcf,'Position', [17 938 667 399])
co = [0 0 1;
    0 0.5 0;
    1 0 0;
    0 0.75 0.75;
    0.75 0 0.75;
    0.75 0.75 0;
    0.25 0.25 0.25];
set(groot,'defaultAxesColorOrder',co)

ep=0.01;
alpha=-1+sqrt(1-2*ep);  beta=-1-sqrt(1-2*ep);
for ix=1:nx
	y(ix)=exp(alpha*x(ix)/ep)+exp(beta*x(ix)/ep);
	ya1(ix)=exp(-x(ix))+exp(-2*x(ix)/ep);
	ya2(ix)=exp(-x(ix));
end

subplot(2,1,1)

hold on
%plot(x,ya2,'k','Linewidth',1.7,'Color',[0.8500 0.3250 0.0980])
plot(x,ya2,'-.','Linewidth',1.5,'Color',[0 0.6 0.3])
plot(x,ya1,'r','Linewidth',1.2)
plot(x,y,'--b','Linewidth',1.5)

box on
grid on
axis([-0.03 1 0 2])
ax = gca;
ax.XAxis.TickLabelInterpreter = 'latex';
ax.YAxis.TickLabelInterpreter = 'latex';
set(gca,'FontSize',12)

xlabel('$x$\,-\,axis','Interpreter','latex','FontSize',13)
ylabel('Solution','Interpreter','latex','FontSize',13)
legend(' Nonuniform',' Uniform',' Exact','Location','NorthEast','FontSize',12,'Interpreter','latex')


subplot(2,1,2)

hold on
%plot(x,ya2,'k','Linewidth',1.7,'Color',[0.8500 0.3250 0.0980])
plot(x,ya2,'-.','Linewidth',1.5,'Color',[0 0.6 0.3])
plot(x,ya1,'r','Linewidth',1.2)
plot(x,y,'--b','Linewidth',1.5)

box on
grid on
axis([-0.001 0.05 0.8 2])
set(gca,'ytick',[1 2])
ax = gca;
ax.XAxis.TickLabelInterpreter = 'latex';
ax.YAxis.TickLabelInterpreter = 'latex';
set(gca,'FontSize',12)

xlabel('$x$\,-\,axis','Interpreter','latex','FontSize',13)
ylabel('Solution','Interpreter','latex','FontSize',13)
legend(' Nonuniform',' Uniform',' Exact','Location','EastOutside','FontSize',12,'Interpreter','latex')

%exportgraphics(gcf,'/Users/mark/Desktop/fig18.pdf')







